# Reach Frequency Meta

The new API docs can be found here: [https://apidocs.mediamath.com/apis/reporting-api](https://apidocs.mediamath.com/apis/reporting-api)
Get Reach Frequency Meta

Endpoint: GET /reach_frequency/meta

## Header parameters:

  - `Cookie` (string, required)
    _

## Response 200 fields (*/*):

  - `Name` (string, required)
    This is the human-readable name of the report.  It is not recognized by any API input.

  - `Version` (integer, required)
    This is the version of the report.  See the <https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta> section for more details.

  - `Description` (string)

  - `URI_Data` (string, required)
    This is the URI for the report's <https://apidocs.mediamath.com/apis/reporting-api-v1/data-retrieval/get_report> endpoint.

  - `URI_Meta` (string, required)
    This is the URI for the report's <https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta>.

  - `Transition` (object)
    Reports may change over time.  This object will be present if the report will undergo a breaking change.  See the <https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta> section for more details.

  - `Transition.replaced_by` (string, required)
    The URL where the metadata for the next version of the report may be found.

  - `Transition.transition_date` (string, required)
    After this GMT time the current version of the report will no longer be available.

  - `Transition.next_version` (integer, required)
    The version replacing the current version of the report.

  - `Deprecation` (object)
    Reports may be deprecated all together, or superseded by another report.  This object will be present if the report is scheduled for deprecation.   See the <https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta> section for more details.

  - `Deprecation.superseded_by` (string)
    Optionally provides the metadata URI for the superseding report.

  - `Deprecation.deprecation_date` (string, required)
    The GMT time when the report will no longer be available.  When a report is past its `deprecation_date` it will no longer appear in the <https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta>.  All endpoints having to do specifically with that report will return a 410 GONE response.

  - `Type` (string)

  - `currency` (string)
    Provides information about the currency of the `metrics` fields typed as "money".

When set to "campaign currency", the currency varies from record to record.  To determine the currency for a particular record, the campaign_currency_code `dimensions` field should be requested, if available for the report.

Any other value should be taken to be the currency for all records of the report.

  - `data_retention` (string)
    Indicates how far back data is available.  This can be a date, datetime, or time window as specified by the "time_window" and "Special Time Windows" sections of <https://apidocs.mediamath.com/apis/reporting-api-v1/section/fields>.  This property should be used very loosely.  It may not be accurate.  It is meant to give a general idea.

  - `default_metrics` (array, required)
    This is the list of metrics that will be returned if the `metrics` parameter is not specified in a call to the <https://apidocs.mediamath.com/apis/reporting-api-v1/data-retrieval/get_report>.

  - `structure` (object, required)

  - `time_aggregation` (string)
    This property indicates the finest granularity of the `time_field`.  For reports with a `time_field` of the `datetime` type, this will be "by_hour", "by_day", etc.  When the type is `interval`, this will be "various".

  - `time_rollups` (array, required)
    This property indicates the available levels of granularity for the `time_field`.  It lists the valid values of the `time_rollup` parameter used for the <https://apidocs.mediamath.com/apis/reporting-api-v1/data-retrieval/get_report> endpoint.  For reports with a `time_field` of the `datetime` type, this tends to be a combination of "by_hour", "by_day", "by_week", "by_month", "all", etc.  When the type is `interval`, this will only include "all".

  - `time_windows` (array, required)
    Lists the acceptable formats for the `time_window` parameter used by the <https://apidocs.mediamath.com/apis/reporting-api-v1/data-retrieval/get_report>.  Some values may be used as is, others may need to be modified.  For details see the time_window section of  <https://apidocs.mediamath.com/apis/reporting-api-v1/section/fields>.

  - `timezone` (string)
    Provides information about the timezone of the `time_field` for the report.

When set to "campaign timezone", the timezone varies from record to record.  To determine the currency for a particular record, the campaign_timezone `dimensions` field should be requested, if available for the report.

Any other value should be taken to be the timezone for all records of the report.

